org.richfaces.renderkit

## Class AbstractGridRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.AbstractRowsRenderer
        - - org.richfaces.renderkit.AbstractGridRenderer

- All Implemented Interfaces:
    org.ajax4jsf.model.DataVisitor, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    DataGridRenderer

      public abstract class AbstractGridRenderer
      extends AbstractRowsRenderer

  Author:
    shura

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `CELL_CLASS_KEY, ROW_CLASS_KEY, SKIN_CELL_CLASS_KEY, SKIN_FIRST_ROW_CLASS_KEY, SKIN_ROW_CLASS_KEY, TABLE_EVENT_ATTRS`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGridRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doCleanup(javax.faces.context.FacesContext context, TableHolder tableHolder)`
    `void` | `encodeFooter(javax.faces.context.FacesContext context, UIDataGrid table)`
    `void` | `encodeHeader(javax.faces.context.FacesContext context, UIDataGrid table)`
    `void` | `encodeOneRow(javax.faces.context.FacesContext context, TableHolder holder)`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `encodeCaption, encodeCellChildren, encodeChildren, encodeRowEvents, encodeRows, encodeRows, encodeStyle, encodeStyleClass, encodeTableHeaderFacet, getRendersChildren, process`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractGridRenderer

          public AbstractGridRenderer()

  - ### Method Detail

    - #### encodeHeader

          public void encodeHeader(javax.faces.context.FacesContext context,
                          UIDataGrid table)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeFooter

          public void encodeFooter(javax.faces.context.FacesContext context,
                          UIDataGrid table)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeOneRow

          public void encodeOneRow(javax.faces.context.FacesContext context,
                          TableHolder holder)
                            throws java.io.IOException

      Specified by:
        `encodeOneRow` in class `AbstractRowsRenderer`
      Throws:
        `java.io.IOException`

    - #### doCleanup

          protected void doCleanup(javax.faces.context.FacesContext context,
                       TableHolder tableHolder)
                            throws java.io.IOException

      Overrides:
        `doCleanup` in class `AbstractRowsRenderer`
      Parameters:
        `context` - TODO
      Throws:
        `java.io.IOException`

Copyright © 2013. All Rights Reserved.